package com.docus.server.collection.dto;

import lombok.Data;

/**
 * @author Fang Ruichuan
 * @date 2022-11-14 19:02
 */
@Data
public class UserDto {
    /**
     * id-消息流水号  返回消息体需要
     */
    private String messageId;
    /**
     * 接收方
     */
    private String receiver;

    /**
     * 用户操作 operateType有三种值：C 代表新增、U 代表修改、D 代表删除
     */
    private String operateType;

    /**
     * 用户姓名
     */
    private String name;
    /**
     * 用户工号
     */
    private String userName;
    /**
     * 所属科室编号
     */
    private String deptId;
    /**
     * 到时同步完让实施找下不重复的导入到角色表，程序再判断职位对应角色表存角色id(roleId),初始roleId=0
     */
    private String position;
    /**
     * 角色Id 初始 0
     */
    private Long roleId;

    /**
     * 操作人名称
     */
    private String authorName;


    /**
     * 操作人ID
     */
    private String authorId;


    /**
     * 转换用户修改对象
     *
     * @return 用户修改对象
     */
    public UserModifyParam transUserAddParam() {
        UserModifyParam userModifyParam = new UserModifyParam();
        userModifyParam.setUserName(this.userName);
        userModifyParam.setName(this.name);
        userModifyParam.setPosition(this.position);
        userModifyParam.setRoleId(this.roleId);
        userModifyParam.setDeptId(this.deptId);
        userModifyParam.setAuthorName(this.authorName);
        userModifyParam.setAuthorId(this.authorId);
        return userModifyParam;
    }
}
